const std = @import("std");

const models = @import("../../models/root.zig");

dimension: models.BlockUpdateMsg.Dimension,
x: models.BlockUpdateMsg.Coordinate,
y: models.BlockUpdateMsg.Coordinate,
z: models.BlockUpdateMsg.Coordinate,
material: []const u8,

/// Checks if material name characters are valid. Doesn't check if maximum length is exceeded.
pub fn materialIsValid(material: []const u8) bool {
    for (material) |ch| {
        if (!std.ascii.isAlphabetic(ch) and ch != '_' and ch != '-')
            return false;
    }

    return true;
}
